Project

General

Profile

Bug #8684

PHP7 can't install pfBlockerNG

Added by Anonymous 11 months ago. Updated 11 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
07/24/2018
Due date:
% Done:

100%

Estimated time:
Affected Version:
2.4.4
Affected Architecture:

Description

This error is shown after attempting to install pfBlockerNG.

PHP ERROR: Type: 1, File: /usr/local/pkg/pfblockerng/pfblockerng_install.inc, Line: 296, Message: Uncaught Error: Cannot create references to/from string offsets in /usr/local/pkg/pfblockerng/pfblockerng_install.inc:296
Stack trace:
#0 /etc/inc/pkg-utils.inc(748) : eval()'d code(1): include_once()
#1 /etc/inc/pkg-utils.inc(748): eval()
#2 /etc/inc/pkg-utils.inc(835): eval_once('include_once('/...')
#3 /etc/rc.packages(74): install_package_xml('pfBlockerNG')
#4 {main}
thrown    @ 2018-07-24 19:45:36

History

#1 Updated by Anonymous 11 months ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

Fix pushed here c2e322f41654abd8685c66323c90576ecebf1265
Will test more once the new update hits the package server.

Also available in: Atom PDF